<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap11="http://schemas.xmlsoap.org/soap/envelope/" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope" xmlns:soapenc12="http://www.w3.org/2003/05/soap-encoding" xmlns:tns="services.AphisMeatServices" xmlns:soapenc11="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ns1="http://InfoObjects.aphisMeat.amtsybex.com" targetNamespace="services.AphisMeatServices" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://InfoObjects.aphisMeat.amtsybex.com">
      <xsd:complexType name="SheepAbatLairageListInput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="abatLairageFlag" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="genericInput" nillable="true" type="ns1:GenericInput" />
          <xsd:element minOccurs="0" name="includeAMPMData" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="listAnimalsFlag" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="moveDate" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="pinNo" type="xsd:int" />
          <xsd:element minOccurs="0" name="speciesCode" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="GenericInput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="callingLocation" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="channel" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="clntRefNo_BusId" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="environment" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="herdNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="password" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="username" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepAbatLairageListOutput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="abatLairageList" nillable="true" type="ns1:ArrayOfAbatLairageDetail" />
          <xsd:element minOccurs="0" name="error" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="errorCode" type="xsd:int" />
          <xsd:element minOccurs="0" name="requestId" type="xsd:long" />
          <xsd:element minOccurs="0" name="success" type="xsd:int" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ArrayOfAbatLairageDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="AbatLairageDetail" nillable="true" type="ns1:AbatLairageDetail" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="AbatLairageDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="AMResults" nillable="true" type="ns1:SheepAMResults" />
          <xsd:element minOccurs="0" name="PMResults" nillable="true" type="ns1:SheepPMResults" />
          <xsd:element minOccurs="0" name="batchNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="certificateNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="deadInPen" type="xsd:long" />
          <xsd:element minOccurs="0" name="deadInPenList" nillable="true" type="tns:ArrayOfString" />
          <xsd:element minOccurs="0" name="deadOnArrival" type="xsd:long" />
          <xsd:element minOccurs="0" name="deadOnArrivalList" nillable="true" type="tns:ArrayOfString" />
          <xsd:element minOccurs="0" name="eidList" nillable="true" type="tns:ArrayOfString" />
          <xsd:element minOccurs="0" name="flockIdentifier" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="flockToMarket" nillable="true" type="ns1:FlockDetail" />
          <xsd:element minOccurs="0" name="location" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="moveDate" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="noOfAnimals" type="xsd:long" />
          <xsd:element minOccurs="0" name="permitNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="presentingFlock" nillable="true" type="ns1:FlockDetail" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepPMResults">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="sheepPMDetailList" nillable="true" type="ns1:ArrayOfSheepPMDetail" />
          <xsd:element minOccurs="0" name="testId" type="xsd:long" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ArrayOfSheepPMDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="SheepPMDetail" nillable="true" type="ns1:SheepPMDetail" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepPMDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="action" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="condition" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="number" type="xsd:long" />
          <xsd:element minOccurs="0" name="site" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="weight" type="xsd:long" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepAMResults">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="AMFailure" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="noOfCasualty" type="xsd:long" />
          <xsd:element minOccurs="0" name="sheepAmDetailList" nillable="true" type="ns1:ArrayOfSheepAMDetail" />
          <xsd:element minOccurs="0" name="testId" type="xsd:long" />
          <xsd:element minOccurs="0" name="writtenFindings" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ArrayOfSheepAMDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="SheepAMDetail" nillable="true" type="ns1:SheepAMDetail" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepAMDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="condition" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="description" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="number" type="xsd:long" />
          <xsd:element minOccurs="0" name="site" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="FlockDetail">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="addrLine1" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="addrLine2" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="addrLine3" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="addrLine4" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="farmQualityStatus" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="flockNum" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="forename" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="postcode" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="surname" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="services.AphisMeatServices">
      <xsd:element name="WS_SheepAbatLairageList">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="pobjInput" nillable="true" type="ns1:SheepAbatLairageListInput" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:complexType name="ArrayOfString">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:element name="WS_SheepAbatLairageListResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="out" nillable="true" type="ns1:SheepAbatLairageListOutput" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="WS_SheepAbatLairageListResponse">
    <wsdl:part name="parameters" element="tns:WS_SheepAbatLairageListResponse" />
  </wsdl:message>
  <wsdl:message name="WS_SheepAbatLairageListRequest">
    <wsdl:part name="parameters" element="tns:WS_SheepAbatLairageList" />
  </wsdl:message>
  <wsdl:portType name="WS_SheepAbatLairageListPortType">
    <wsdl:operation name="WS_SheepAbatLairageList">
      <wsdl:input name="WS_SheepAbatLairageListRequest" message="tns:WS_SheepAbatLairageListRequest" />
      <wsdl:output name="WS_SheepAbatLairageListResponse" message="tns:WS_SheepAbatLairageListResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WS_SheepAbatLairageListHttpBinding" type="tns:WS_SheepAbatLairageListPortType">
    <wsdlsoap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="WS_SheepAbatLairageList">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="WS_SheepAbatLairageListRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="WS_SheepAbatLairageListResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WS_SheepAbatLairageList">
    <wsdl:port name="WS_SheepAbatLairageListHttpPort" binding="tns:WS_SheepAbatLairageListHttpBinding">
      <wsdlsoap:address location="https://ws-www2.dardni.gov.uk/AphisMeatServices/services/WS_SheepAbatLairageList" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>